/* css/styles.css */
.flip-container, .front, .back {
  width: 320px;
  height: 480px;
}

/* flip speed goes here */
.flipper {
  transition: 0.6s;
  transform-style: preserve-3d;

  position: relative;
}
.card {
  width: 80vw; 
  border: 1px solid #ccc;
  border-radius: 10px;
  box-shadow: 0 10px 20px rgba(0, 0, 0, 0.2);
  background-color: #fff;
  margin:auto;
  margin-bottom:3vh;
}

.card-content {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 15px;
  padding: 10px;
}

.card-image {
  flex: 1;
  height: 120px; 
  background: url("http://thehubhouse.co.za/img/knifefork.png") no-repeat center center/cover;
  border-radius: 5px;
}

.card-text {
  flex: 2;
  font-size: 23px;
  text-align: left;
  font-style: italic;
  text-align:center;
}
.video-container {
  width: 100%;          /* Full width of the viewport */
  height: 100vh;         /* Default: Full height on desktop */
  overflow: hidden;      /* Prevent overflow */
  margin-bottom: 5vh;
  border-radius: 5px;
}
.vid {
  object-fit: cover;     /* Crop video to fill the container */
  width: 100%; /* Allow the video to scale horizontally */
  height: 100%; /* Ensure the video fills the container height */
  top: 0;
  left: 50%;
  border-radius: 10px;
  /*transform: translateX(-50%); *//* Center horizontally */

}
.menu-container {
  width: 50vw;          /* 50% width of the viewport */
  height: 100vh;         /* Default: Full height on desktop */
  margin-bottom: 40px;
  border-radius: 5px;
}

/* Adjust video height and positioning on mobile */
@media (max-width: 1024px) {
  .video-container {
      height: 50vh; /* Set height to 50% of the viewport height */
  }
    .menu-container {
        width:100vw; /* Set height to 100% of the viewport height */
    }
  }

  #alandingVideo {
      width: auto; /* Allow the video to scale horizontally */
      height: 100%; /* Ensure the video fills the container height */
      top: 0;
      left: 50%;
      transform: translateX(-50%); /* Center horizontally */
  }
}
/*
 Ensure the video container takes full width and height 
.video-container {
  position: relative;
  width: 100%;
  height: 50vh; 
  overflow: hidden;
}
*/
/* Style the video to cover the entire container */
#wwlandingVideo {
  position: absolute;
  top: 0; /* Position at the top */
  left: 50%;
  width: 100%;
  height: 100%;
  object-fit: cover; /* Ensures the video covers the entire container */
  transform: translateX(-50%); /* Center horizontally */
}


.overlay-text {
 display: flex;
  justify-content: center;
  align-items: center;  
  position: absolute;
  top: 20px; 
  left: 20px; 
  color: white;
  font-size: 1.2rem; 
  font-family: Arial, sans-serif; 
  z-index: 2;
}

.ovim{
  display: flex;
  position: absolute;
  top: 20px;
  justify-content: center;
  align-items: center;
  width: 100%;
}
.ggim{
  width: 80vw;
  margin-top: .8vh;
}
.cardimage{
  width: 100%;
} 
@viewport {
  orientation: portrait;
}
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

/* Modal Content/Box */
.modal-content {
  background-color: #fefefe;
  margin: 15% auto; /* 15% from the top and centered */
  padding: 20px;
  border: 1px solid #888;
  width: 80%; /* Could be more or less, depending on screen size */
}

/* The Close Button */
.close {
  color: #aaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: black;
  text-decoration: none;
  cursor: pointer;
}
